<?php
/*
 * Plugin FCKeditor
 * Version  : 4.6.5.2.6.4 (2009/06/20)
 * Compatibility : Guppy v4.6.x
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
    Version History :
	v4.6.6 (06 December 2004)  : new release by Djchouix
  v4.6.8 (10 May 2008)       : deletion of useless br "type= _moz", translated &quot; (by Icare)
  v4.6.10 (7 September 2009)       : corrected #287 (by jchouix)
*/

header('Pragma: no-cache');
define('CHEMIN', '../../');
include CHEMIN.'inc/includes.inc';

//Protection contre les petits curieux
include CHEMIN.'admin/editors/action.php';
if ($wri == 'admin') {
    if (file_exists(CHEMIN.'admin/mdp.php')) {
        require CHEMIN.'admin/mdp.php';
	} else {
	    $mdp = 'bad';
	}
} else {
    if (file_exists(CHEMIN.'admin/'.REDACREP.$wri.INCEXT)) {
        require CHEMIN.'admin/'.REDACREP.$wri.INCEXT;
        $mdp = md5($drtuser[38]);
    } else {
        $mdp = 'bad';
    }
}
$portalname = 'GuppyAdmin';
if (empty($_COOKIE[$portalname]) || $_COOKIE[$portalname] != crc32($mdp)) {
    die('Une erreur d\'identification est survenue. Veuillez contacter l\'administrateur du site.');
}
//Fin de protection

$lng = isset($_POST['lng']) ? strip_tags($_POST['lng']) : null;
$nameform = isset($_POST['nameform']) ? strip_tags($_POST['nameform']) : null;
$nametextarea = isset($_POST['nametextarea']) ? strip_tags($_POST['nametextarea']) : null;
if(!preg_match("`^[-a-z0-9_]+$`i",$lng.$nameform.$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");
$pathDirMinieditor = 'admin/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)

$editor = isset($_POST['editor']) ? $_POST['editor'] : null;

if (get_magic_quotes_gpc()) $editor = stripslashes($editor);  //Magic_quotes = On
$in = array(
			'\\',
			'<p>&nbsp;</p>',
			'<p>&#160;</p>',
			'<br type="_moz" />',
			'<u>',
			'</u>',
			'style="TEXT-DECORATION: underline"',
			'="'.$site[3]
);
$out = array(
			'&#92;',
			'',
			'',
			'',
			'<span style="text-decoration:underline;">',
			'</span>',
			'style="text-decoration: underline;"',
			'="'
);
$editor = str_replace($in,$out,$editor);
$editor = preg_replace('`(<br />|&#160;)$`', '', $editor);
//Parser pour code fichier flash (compatibilit miniediteur <--> FCKeditor)
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea.inc')) {  
	function parseObjectFlash($matches)
	{
		$attribut = explode(' ',$matches[1]);
		for ($i = 0; $i < count($attribut); $i++){
			$nameAttribut = explode('=',$attribut[$i]);
			switch ($nameAttribut[0]) {
				case 'src' :
					$data = 'data='.$nameAttribut[1].' ';
					$movie = '<param name="movie" value='.$nameAttribut[1].' />';
					break;
				case 'width' :
					$width = $attribut[$i].' ';
					break;
				case 'height' :
					$height = $attribut[$i].' ';
					break;
				case 'hspace' :
					$hspace = $attribut[$i].' ';
					break;
				case 'vspace' :
					$vspace = $attribut[$i].' ';
					break;
				case 'align' :
					$align = $attribut[$i].' ';
					break;
				case 'id' :
					$id = $attribut[$i].' ';
					break;
				case 'class' :
					$class = $attribut[$i].' ';
					break;
				case 'quality' :
					$quality = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'scale' :
					$scale = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'loop' :
					$loop = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'play' :
					$play = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'menu' :
					$menu = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'bgcolor' :
					$bgcolor = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				default :
			}
		}
		$allAttributs = $data.$width.$height.$hspace.$vspace.$align.$id.$class;
		$allParams = $movie.$quality.$scale.$loop.$play.$menu.$bgcolor;
		return '<object '.$allAttributs.'type="application/x-shockwave-flash">'.$allParams.'<param name="pluginurl" value="http://www.macromedia.com/go/getflashplayer" /><a href="http://www.macromedia.com/go/getflashplayer" target="_blank"><img src="flash/document_Flash.gif" alt="Get FlashPlayer" title="Get FlashPlayer" width="114" height="21" border="0" /></a></object>';
	}
	$editor = preg_replace_callback('`<embed([^>]+)><\/embed>`', 'parseObjectFlash', $editor);
}

$editor = htmlspecialchars($editor); //Affichage dans textarea (indispensable)  

//HTML
echo '
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Envoie vers Guppy</title>
        <meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <link type="text/css" rel="stylesheet" href="'.CHEMIN.'admin/editors/fckeditor_config/custom/skin_guppy/fck_dialog.css" />
        <script type="text/javascript" src="'.CHEMIN.'admin/editors/fckeditor_config/jscript/postdataFCK.js"></script>
    </head>
    <body id="sendData" onload="initDocument(\'formData\', \'send\');" onblur="self.focus();">
        <form id="formData" name="formData" action="postdataFCK.php" method="post" onsubmit="return formSubmit(\'formData\', \'data\', \''.$nameform.'\', \''.$nametextarea.'\');">
        <p>'.$admin373.'</p>
        <input id="send" class="Button send" name="send" type="submit" value="'.$web52.'" />
        <input id="back" class="Button back" name="back" type="button" value="'.$web135.'" onclick="goback(\''.$site[3].$pathDirMinieditor.'\', \''.$lng.'\', \'formData\', \'data\', \''.$nameform.'\', \''.$nametextarea.'\');" />
        <textarea id="data" name="data" cols="10" rows="10"  style="visibility: hidden;display:none;">'.$editor.'</textarea>
        </form>
    </body>
    </html>
';
?>
