<?php
/*
    Language choose Box - GuppY PHP Script - version 4.6
    CeCILL Copyright (C) 2004-2009 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.7 (28 January 2003)   : added $endurl variable to switch language without going back to index page (thanks Alex)
      v2.2 (22 April 2003)     : replaced <P><CENTER> by <P align="center"> otherwise IE takes the default font instead of the required one (Thanks Michel)
                                 cleanup in the images organization
      v2.3 (27 July 2003)      : added dynamic menu option management ($pg not in URL)
      v2.4 (24 September 2003) : added alternative label for language flag
      v3.0 (25 February 2004)  : simplified language switch parametrization
      v4.0 (06 December 2004)  : added alt tags to img and removed border tag for non-linked img (by Isa)
                                 removed an empty cell (by Isa)
      v4.5 (30 April 2005)     : corrected flags alignment, thanks to Ricsen (by Icare)
      v4.6.0 (04 June 2007)     : new release(by Djchouix))
      v4.6.3 (30 August 2007)   : display only the necessary lang flag (by Icare)
      v4.6.5 (10 November 2007): corrected bad title for flag2 (by Icare)
      v4.6.10 (7 September 2009)    : corrected #262
*/

if (stristr($_SERVER["SCRIPT_NAME"], "boxlang.inc")) {
  header("location:../index.php");
  die();
}


	if (substr_count($endurl,"?lng=") == 0 && substr_count($endurl,"&amp;lng=") == 0) {
	  if (substr_count($endurl,"?") == 0) {
		$endurl0 = $endurl."?lng=".$lang[0];
		$endurl1 = $endurl."?lng=".$lang[1];
	  } else {
		$endurl0 = $endurl."&amp;lng=".$lang[0];
		$endurl1 = $endurl."&amp;lng=".$lang[1];
	  }
	} else {
	  $endurlx = str_replace("&", "&amp;", $endurl);
	  $endurl0 = str_replace("lng=".$lang[1],"lng=".$lang[0], $endurlx);
	  $endurl1 = str_replace("lng=".$lang[0],"lng=".$lang[1], $endurlx);
	}


	if (!isset($onemenu) || $onemenu ==0) { //Menu horizontal
	 $flags = (($page[9] != '')? '<br />' : '');
    if ($lng == $lang[0]) {
		  $flags .= '
<a href="'.$endurl1.'"><img class="flag2" src="'.$flag2.'" alt="'.$web87.': '.$lang[1].'" title="'.$web87.': '.$lang[1].'" border="0" /></a>';
    } else {
		  $flags .= '
<a href="'.$endurl0.'"><img class="flag1" src="'.$flag1.'" alt="'.$web87.': '.$lang[0].'" title="'.$web87.': '.$lang[0].'" border="0" /></a>';
    }
	} else { //Menu boite latrale
    $title_menu =$nom[$j+44].'&nbsp;';
	  if ($lng == $lang[0]) {
		  $title_menu .='
<a href="'.$endurl1.'"><img src="'.$flag2.'" style="width:24px;height:16px;vertical-align:middle;margin:2px 0px;border:none;" alt="'.$web87.': '.$lang[1].'" title="'.$web87.': '.$lang[1].'" /></a>';
    } else {
		  $title_menu .='
<a href="'.$endurl0.'"><img src="'.$flag1.'" style="width:24px;height:16px;vertical-align:middle;margin:2px 0px;border:none;" alt="'.$web87.': '.$lang[0].'" title="'.$web87.': '.$lang[0].'" /></a>';
    }
	}

?>
